//added:

textures/postit2b_common/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/postit2b_common/trigger_teleport
{
	qer_trans 0.5
	qer_nocarve
	surfaceparm nodraw
}

textures/postit2b_common/trigger_location
{
	qer_trans 0.5
	qer_nocarve
	surfaceparm nodraw
}

textures/postit2b_common/cushion_sl
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm nodamage
}

textures/postit2b_common/caulk
{
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/postit2b_common/caulk_sl
{
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/postit2b_common/nodraw
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/postit2b_common/invisible	// solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap
	{
		map $whiteimage
		alphafunc ge128
		alphagen const 0
	}
}

///////////////////
textures/postit2b_common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/postit2b_common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/postit2b_common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/postit2b_common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/postit2b_common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/postit2b_common/full_clip	// silly shader, use weapclip instead
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/postit2b_common/hint		// should not use surfaceparm hint... strange but true
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}

// obsidian: local hint works like normal hint but doesn't create portals beyond local structural brushes.
textures/postit2b_common/hintlocal
{
	qer_nocarve
	qer_trans 0.30
	qer_editorimage textures/postit2b_common/hintlocal.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/postit2b_common/invisible	// solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap
	{
		map $whiteimage
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/postit2b_common/mirror1
{
	qer_editorimage textures/postit2b_common/mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/postit2b_common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
}

textures/postit2b_common/mirror2
{
	qer_editorimage textures/postit2b_common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/postit2b_common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
	{
		map textures/sfx/mirror.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/postit2b_common/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/postit2b_common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/postit2b_common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/postit2b_common/noimpact
{
	qer_editorimage textures/postit2b_common/nolightmap.tga
	surfaceparm noimpact
}

textures/postit2b_common/nolightmap
{
	surfaceparm nolightmap
}

textures/postit2b_common/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/postit2b_common/portal
{
	qer_editorimage textures/postit2b_common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/postit2b_common/mirror1.tga
		tcmod turb 0 0.25 0 0.05
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
}

textures/postit2b_common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/postit2b_common/terrain
{
	q3map_terrain
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/postit2b_common/terrain2
{
	q3map_terrain
	qer_editorimage textures/postit2b_common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/postit2b_common/timportal
{
	qer_editorimage textures/postit2b_common/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/postit2b_common/portal.tga
		tcmod turb 0 0.25 0 0.05
		blendfunc gl_one gl_src_alpha
		depthwrite
	}
}

textures/postit2b_common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/postit2b_common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/postit2b_common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/postit2b_common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time

textures/postit2b_common/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}




//******************************************************************************
// obsidian 2007-08-24
// q3map2 "common" shaders
//******************************************************************************


// ydnar: antiportal works like hint, but supresses portals
// add this to your common.shader file
textures/postit2b_common/antiportal
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}


// ydnar: skip works like quake 2 hint: it doesn't generate bsp splits
// use on sides of hint brushes where you don't want bsp splits or portals
// add this to your common.shader file
textures/postit2b_common/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}


// obsidian: same as skip but allows ctrl+h to filter both hint and skip
textures/postit2b_common/hintskip
{
	qer_nocarve
	qer_trans 0.30
	qer_editorimage textures/postit2b_common/skip.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}


// obsidian: 2 usages for watercaulk depending on water brush complexity
// simple water brushes - use watercaulk on faces between water brushes
// complex water brushes - overlap complex water brushes with watercaulk.
//		water shader should be nodraw, nonsolid, trans, *sans-water*
textures/postit2b_common/watercaulk
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}


// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================

textures/postit2b_common/alpha_000	// primary texture only
{
	q3map_alphamod volume
	q3map_alphamod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/postit2b_common/alpha_025
{
	q3map_alphamod volume
	q3map_alphamod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/postit2b_common/alpha_050	// perfect mix of both primary + secondary
{
	q3map_alphamod volume
	q3map_alphamod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/postit2b_common/alpha_075
{
	q3map_alphamod volume
	q3map_alphamod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/postit2b_common/alpha_085
{
	q3map_alphamod volume
	q3map_alphamod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/postit2b_common/alpha_100	// secondary texture only
{
	q3map_alphamod volume
	q3map_alphamod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}