textures/postit2b_ramb/tilebisque_sl:q3map
{
    qer_editorimage textures/postit2b_ramb/tilebisque.tga
    surfaceparm nodamage
    surfaceparm slick
}

textures/postit2b_ramb/tilebisque_icy
{
    q3map_lightimage textures/postit2b_ramb/tilebisque.tga
    qer_editorimage textures/postit2b_thumbs/qer_tilebisque_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/postit2b_ramb/tilebisque.tga
        blendfunc filter
    }
    {
        map textures/postit2b_ramb/slick.tga
        tcgen environment
        blendfunc gl_dst_color gl_src_color
    }
}

textures/postit2b_ramb/wood:q3map
{
    q3map_bouncescale 0.7
    surfaceparm nodamage
}

textures/postit2b_ramb/white_icy
{
    q3map_lightimage textures/postit2b_ramb/white.tga
    qer_editorimage textures/postit2b_thumbs/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/postit2b_ramb/white.tga
        blendfunc filter
    }
    {
        map textures/postit2b_ramb/slick.tga
        tcgen environment
        blendfunc gl_dst_color gl_src_color
    }
}

textures/postit2b_ramb/white_sl:q3map
{
    qer_editorimage textures/postit2b_ramb/white.tga
    surfaceparm nodamage
    surfaceparm slick
}

textures/postit2b_ramb/stone_ceil:q3map
{
	q3map_lightmapsamplesize 32
	q3map_tcmod scale 0.25 0.25
}

textures/postit2b_ramb/portal
{
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/postit2b_ramb/portal.tga
        tcmod scroll 0 1
    }
}

textures/postit2b_ramb/glass
{
    q3map_lightimage textures/postit2b_thumbs/ici_glass_radiosity.tga
    qer_editorimage textures/postit2b_thumbs/qer_clear.tga
    qer_trans 0.6
    q3map_bouncescale 0.15
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/postit2b_ramb/q3a_glass_clear.tga
        blendfunc add
        tcgen environment
    }
}

textures/postit2b_ramb/glass_tr
{
    q3map_lightimage textures/postit2b_thumbs/ici_glass_radiosity.tga
    qer_editorimage textures/postit2b_thumbs/qer_clear_tr.tga
    qer_trans 0.6
    q3map_bouncescale 0.15
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/postit2b_ramb/q3a_glass_clear.tga
        blendfunc add
        tcgen environment
    }
}

textures/postit2b_ramb/light
{
    q3map_bouncescale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/postit2b_ramb/light.tga
    }
}

textures/postit2b_ramb/light_hl
{
    qer_editorimage textures/postit2b_ramb/light.tga
    qer_trans 0.6
    q3map_bouncescale 0.0
    surfaceparm detail
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    {
        map textures/postit2b_ramb/light.tga
    }
}

textures/postit2b_ramb/dark_floor:q3map
{
	surfaceparm nodamage
}

textures/postit2b_fxg/blocks:q3map
{
	q3map_lightmapsamplesize 32
	q3map_tcmod scale 0.5 0.5
	surfaceparm nodamage
}

textures/postit2b_fxg/walls:q3map
{
	q3map_lightmapsamplesize 32
	q3map_tcmod scale 0.25 0.25
	surfaceparm nodamage
}


textures/postit2b_fxg/plats:q3map
{
	q3map_lightmapsamplesize 32
	q3map_tcmod scale 0.5 0.5
	surfaceparm slick
	surfaceparm nodamage
}

textures/postit2b_fxg/plats_ns
{
	qer_editorimage textures/postit2b_thumbs/fxg_plats_ns.tga
	//q3map_lightmapsamplesize 32
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/postit2b_fxg/plats.tga
		blendfunc filter
		tcmod scale 0.5 0.5
	}
}

textures/postit2b_fxg/babe1
{
	q3map_lightmapsamplesize 32
	surfaceparm nomarks
	polygonoffset
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/postit2b_fxg/babe1.tga
		blendfunc filter
	}
	
}

textures/postit2b_fxg/babe2
{
	q3map_lightmapsamplesize 32
	surfaceparm nomarks
	polygonoffset
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/postit2b_fxg/babe2.tga
		blendfunc filter
	}
	
}

textures/postit2b_fxg/babe3
{
	q3map_lightmapsamplesize 32
	surfaceparm nomarks
	polygonoffset
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/postit2b_fxg/babe3.tga
		blendfunc filter
	}
	
}

textures/postit2b_dgw/naruto
{
    surfaceparm nomarks
    surfaceparm trans
	polygonoffset
	nopicmip
	{
		map textures/postit2b_dgw/naruto
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/postit2b_dgw/glass
{
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/postit2b_dgw/glass.tga
            blendfunc gl_src_alpha gl_one_minus_src_alpha
            rgbgen identity
        }
        {
            map textures/postit2b_dgw/platform_tint.tga
            blendfunc gl_dst_color gl_one
            rgbgen identity
            tcgen environment
            tcmod scale 0.5 0.5
        }
        {
            map textures/postit2b_dgw/platform_tint.tga
            blendfunc gl_dst_color gl_one
            rgbgen identity
            tcgen environment
            tcmod scale 0.5 0.5
        }
        {
            map $lightmap
            blendfunc gl_dst_color gl_zero
            rgbgen identity
        }
}

textures/postit2b_dgw/chrome
{
        surfaceparm nodamage
        qer_editorimage textures/postit2b_dgw/metal.tga
        {
            map textures/postit2b_dgw/chrome_tint.tga
            tcgen environment
			tcmod scale 0.5 0.5
        }
        {
            map textures/postit2b_dgw/metal.tga
            blendfunc gl_one gl_one
            tcmod scale 4 4
            rgbgen identity
        }
        {
            map $lightmap
            rgbgen identity
            blendfunc gl_dst_color gl_zero
        }
}

textures/postit2b_dgw/water
{
        qer_editorimage textures/postit2b_dgw/water_a.tga
		qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        cull disable
        deformvertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/postit2b_dgw/water_a.tga
            blendfunc gl_dst_color gl_one
            rgbgen identity
            tcmod scroll -.010 .05
			tcmod scale 0.5 0.5
        }
        {
            map textures/postit2b_dgw/water_b.tga
            blendfunc gl_dst_color gl_one
            rgbgen identity
            tcmod scroll .05 -.010
			tcmod scale 0.5 0.5
        }
        {
            map textures/postit2b_dgw/water_c.tga
            blendfunc gl_dst_color gl_one
            rgbgen identity
            tcmod scroll -.05 .010
			tcmod scale 0.5 0.5
        }
        {
            map $lightmap
            blendfunc gl_dst_color gl_zero
            rgbgen identity
        }
}

textures/postit2b_dgw/water_reflection
{
        qer_editorimage textures/postit2b_thumbs/dgw_water_reflection.tga
		q3map_globaltexture
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        surfaceparm nolightmap
        polygonoffset
        {
            map textures/postit2b_dgw/water_ref_a.tga
            rgbgen identity
            blendfunc gl_dst_color gl_one
            tcmod scroll -0.10 0
        }
        {
            map textures/postit2b_dgw/water_ref_b.tga
            rgbgen identity
            blendfunc gl_dst_color gl_one
            tcmod scroll .05 0
        }
}

textures/postit2b_dgw/tile:q3map
{
	q3map_tcmod scale 0.5 0.5
	surfaceparm nodamage
}

textures/postit2b_dgw/stone1:q3map
{
	surfaceparm nodamage
}

textures/postit2b_dgw/stone2:q3map
{
	surfaceparm nodamage
}

textures/postit2b_dgw/stone3:q3map
{
	surfaceparm nodamage
}

textures/postit2b_dgw/concrete:q3map
{
	surfaceparm nodamage
}

textures/postit2b_dgw/logo
{
        qer_editorimage textures/postit2b_dgw/misatologo.tga
        surfaceparm nodamage
        surfaceparm nomarks
        surfaceparm trans
        surfaceparm nolightmap
        polygonoffset
		nopicmip
        {
            map textures/postit2b_dgw/misatologo.tga
            blendfunc gl_src_alpha gl_one_minus_src_alpha
            rgbgen wave sin .5 1 0 .1
            tcmod rotate 45
        }
}