textures/postit2b_water/water01
{
	qer_editorimage textures/postit2b_thumbs/water01.tga
	qer_trans .7
	q3map_globaltexture
	q3map_surfacelight 125
	q3map_backsplash 0 0
	q3map_lightmapsamplesize 64
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	
	// deformvertexes wave div func base amplitude phase freq
	deformvertexes wave 32 sin .2 .2 0 1
	deformvertexes wave 64 sin .5 .3 .5 .4 
	
	{
		map textures/postit2b_meta/water01.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/postit2b_meta/water01.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity 
	}
}

// non light emitting water, for areas which are behaving funny
textures/postit2b_water/water02
{
	qer_editorimage textures/postit2b_thumbs/water02.tga
	qer_trans .7
	q3map_globaltexture
	q3map_lightmapsamplesize 64
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	
	// deformvertexes wave div func base amplitude phase freq
	deformvertexes wave 32 sin .2 .2 0 1
	deformvertexes wave 64 sin .5 .3 .5 .4 
	
	{
		map textures/postit2b_meta/water01.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/postit2b_meta/water01.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity 
	}
}


textures/postit2b_teleports/tele01
{
	qer_editorimage textures/postit2b_thumbs/tele01.tga
	qer_trans .7
	q3map_globaltexture
	q3map_surfacelight 250
	q3map_backsplash 20 40
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	{
		map $lightmap
		blendfunc filter
		rgbgen identity 
	}	
	{
		map textures/postit2b_meta/teleport.tga
		alphagen const 0.2
		blendfunc blend
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/postit2b_meta/teleport.tga
		alphagen const 0.2
		blendfunc blend
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}